<div class="container">
  <br>
  <br>
  <div class="row" id="managers">
    <div class="col-md-12">
      <h3 class="text-center">Managers list</h3>
    </div>
    <br>
    <br>
    <div class="col-md-12 text-center">
      <div class="table-responsive">
        <table class="table table-hover" *ngIf='managers && managers.length'>
          <thead class="thead-dark">
            <tr>
              <th style="width: 10%">Id</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Email</th>
              <th style="width: 20%">Hiring date</th>
              <th>Phone</th>
              <th style="width: 10%"></th>
              <th style="width: 10%"></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor='let manager of managers'>
              <td style="width: 10%">{{manager.personId}}</td>
              <td>{{manager.firstName}}</td>
              <td>{{manager.lastName}}</td>
              <td>{{manager.email}}</td>
              <td style="width: 20%">{{manager.hiringDate | date: 'dd-MM-yyyy'}}</td>
              <td style="width: 20%">{{manager.contactPhone}}</td>
              <td style="width: 10%">
                <button class="btn btn-warning btn-block" type="button" (click)="loadManagerToEdit(manager.personId)">Edit</button>
              </td>
              <td style="width: 10%">
                <button class="btn btn-danger btn-block" type="button" (click)="deleteManager(manager.personId)">Delete</button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
  <hr>
  <div class="row">
    <div class="col-md-4 offset-md-4">
      <button type="button" class="btn btn-primary btn-block" (click)="showForm()">Add manager</button>
    </div>
  </div>
  <hr *ngIf="showFormValue">
  <div class="row" *ngIf="showFormValue">
    <div class="col-md-6 offset-md-3">
      <h4 class="text-center">Add/Update manager</h4>
      <form [formGroup]="managerForm" (ngSubmit)="onManagerFormSubmit()">
        <div class="form-group">
          <label for="managerId">Id manager:</label>
          <input type="text" class="form-control" id="managerId" formControlName="personId">
          <small *ngIf="managerForm.get('personId').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Id
            manager is required.</small>
        </div>
        <div class="form-group">
          <label for="firstname">First name:</label>
          <input type="text" class="form-control" id="firstname" formControlName="firstName">
          <small *ngIf="managerForm.get('firstName').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">First
            name is required.</small>
        </div>
        <div class="form-group">
          <label for="lastname">Last name:</label>
          <input type="text" class="form-control" id="lastname" formControlName="lastName">
          <small *ngIf="managerForm.get('lastName').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Last
            name is required.</small>
        </div>
        <div class="form-group">
          <label for="email">Email:</label>
          <input type="text" class="form-control" id="email" formControlName="email">
          <small *ngIf="managerForm.get('email').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Email
            is required.</small>
        </div>
        <div class="form-group">
          <label for="hiringdate">Hirind date:</label>
          <input type="date" class="form-control" id="hiringdate" formControlName="hiringDate">
          <small *ngIf="managerForm.get('hiringDate').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Hiring
            date is required.</small>
        </div>
        <div class="form-group">
          <label for="phone">Contact phone:</label>
          <input type="tel" class="form-control" id="phone" formControlName="contactPhone">
          <small *ngIf="managerForm.get('contactPhone').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Contact
            phone is required.</small>
        </div>
        <div class="form-group">
          <label for="departmnetId">Department id:</label>
          <input type="number" class="form-control" id="departmnetId" formControlName="departmnetId">
          <small *ngIf="managerForm.get('departmnetId').invalid && processValidation" [ngClass]="'error'" class="form-text text-danger">Department
            id is required.</small>
        </div>
        <button type="submit" class="btn btn-success" *ngIf="!managerIdToUpdate">Create</button>
        <button type="submit" class="btn btn-success" *ngIf="managerIdToUpdate">Update</button>
        <button type="submit" class="btn btn-danger" (click)="backToCreateManager()" *ngIf="managerIdToUpdate">Cancel</button>
      </form>
    </div>
  </div>
  <br>
  <br>
</div>
